## libapache2-mod-tile 0.5

=== extra/Makefile ===
meta2tile: meta2tile.c 
	gcc -O3 -std=gnu99 -I../includes -I/usr/include  meta2tile.c -o meta2tile -lm

=== iniparser3.0b/test/Makefile ===
#
# iniparser tests Makefile
#

CC      = gcc
CFLAGS  = -g -I../src
LFLAGS  = -L.. -liniparser
AR	    = ar
ARFLAGS = rcv
RM      = rm -f


default: all

all: iniexample parse

iniexample: iniexample.c
	$(CC) $(CFLAGS) -o iniexample iniexample.c -I../src -L.. -liniparser

parse: parse.c
	$(CC) $(CFLAGS) -o parse parse.c -I../src -L.. -liniparser

clean veryclean:
	$(RM) iniexample example.ini parse

=== debian/changelog ===
libapache2-mod-tile (0.5-2) unstable; urgency=medium

  * Team upload.

  [ Felix Delattre ]
  * Avoid circular dependency (Closes: #975073).

  [ Bas Couwenberg ]
  * Bump watch file version to 4.
  * Bump Standards-Version to 4.5.1, no changes.
  * Update packaging for Mapnik 3.1.
    (closes: #979585)

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 11 Jan 2021 06:14:23 +0100

libapache2-mod-tile (0.5-1) unstable; urgency=medium

  * Use systemd-tmpfiles.
  * Removed deprecated dependency to mapnik 2.
  * Move from experimental to unstable.

 -- Felix Delattre <debian@xama.nu>  Fri, 23 Oct 2020 16:10:08 +0000

libapache2-mod-tile (0.5-1~exp1) experimental; urgency=medium

  [ Bas Couwenberg ]
  * Update packaging to incorporate Debian GIS changes.
  * Update Vcs-* URLs for Salsa.
  * Bump Standards-Version to 4.5.0, no changes.
  * Update watch file to limit matches to archive path.
  * Update gbp.conf to use --source-only-changes by default.
  * Add patch by Boris Shtrasman to use libiniparser package.
  * Drop renderd from Suggests, already part of Depends.
  * Remove renderd.conf before dh_install, custom config installed instead.
  * Fix install files.
  * Add dependency on lsb-base required by init script.
  * Add patch to use libjs-openlayers package.
  * Enable all hardening buildflags.
  * Add status option to init script.
  * Update libapache2-mod-tile packaging for 2.4.
  * Don't install site configuration.
  * Drop Name field from upstream metadata.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
    - Don't explicitly enable autoreconf, enabled by default
    - Drop dh-autoreconf build dependency
  * Remove get-orig-source target from rules.
  * Update get-orig-source script for more robust git snapshots.
  * Add ${misc:Recommends} to renderd Recommends.

  [ Felix Delattre ]
  * Added information about patches forwarded to upstream.
  * Improved control file to responding to several lintian warnings.
  * Removed lintian override as it doesn't seem to be necessary anymore.
  * Added Documentation key and extended Description in systemd service file.
  * Adjust naming of config files following lintian.
  * Avoid recursive privilege change on directories during postinst.
  * Fixed check for enabled mod_tile during installation.
  * Moved config files in better subdirectory.
  * Small improvements in commenting and dependencies as web app.
  * Moved web app directory.
  * Make sure mod_tile is enabled on install of dependent packages.
  * Leave to the admin to enable munin plugins.
  * Change DEP-3 Forwarded to not-needed.
  * Removed Forwarded headers where there is Origin.
  * Realigned .install maintainer scripts.
  * Use Bug DEP-3 header to reference upstream reference.
  * Adhere to FHS 3.0 and use daemon under /run.
  * Updated patches to fit new upstream version.
  * Added README.Debian.
  * New upstream version 0.5
  * Initial package (Closes: #950904)

 -- Felix Delattre <debian@xama.nu>  Tue, 29 Sep 2020 15:23:23 +0000

libapache2-mod-tile (0.4-27~trusty1) trusty; urgency=low

  * Fixed a bug in passing internationalisation parameterisation to rendering slaves
  * Include replag script used in update-expire
  * Upstream 9d4e10e7c0ee5533d479f7365f135409e11b3250

 -- Kai Krueger <kakrueger@gmail.com>  Mon, 19 May 2014 00:00:00 +0000

libapache2-mod-tile (0.4-26~trusty1) trusty; urgency=low

  * Initial trusty package
  * Upstream 6c2cb243e4c8b047950ab8062cd66245f20a5d2f

 -- Kai Krueger <kakrueger@gmail.com>  Mon, 21 Apr 2014 00:00:00 +0000

libapache2-mod-tile (0.4-24~saucy5) saucy; urgency=low

  * Fix enabling tileserver_site apache2.4 now needs a .conf extension
  * Fix protocol v2/v3 compatibility issues.

 -- Kai Krueger <kakrueger@gmail.com>  Tue, 22 Oct 2013 00:00:00 +0000

libapache2-mod-tile (0.4-24~saucy3) saucy; urgency=low

  * Fix apache package dependencies for apache 2.4

 -- Kai Krueger <kakrueger@gmail.com>  Sun, 20 Oct 2013 00:00:00 +0000

libapache2-mod-tile (0.4-24~saucy2) saucy; urgency=low

  * Update package dependencies to recommend new carto style
  * Change renderd.conf to look for carto style by default

 -- Kai Krueger <kakrueger@gmail.com>  Sun, 20 Oct 2013 00:00:00 +0000

libapache2-mod-tile (0.4-24~saucy1) saucy; urgency=low

  * upstream version bd9739582a047b591c88e9f82955a74817fa54fe
  * fix debian dependencies on apache-dev

 -- Kai Krueger <kakrueger@gmail.com>  Sat, 19 Oct 2013 00:00:00 +0000

libapache2-mod-tile (0.4-23~saucy1) saucy; urgency=low

  * upstream version bd9739582a047b591c88e9f82955a74817fa54fe
  * initial package for saucy

 -- Kai Krueger <kakrueger@gmail.com>  Sun, 06 Oct 2013 00:00:00 +0000

libapache2-mod-tile (0.4-22~quantal3) quantal; urgency=low

  * Add another priority level for style rerendering
  * More fixes and improvements

 -- Kai Krueger <kakrueger@gmail.com>  Tue, 27 Aug 2013 00:00:00 +0000

libapache2-mod-tile (0.4-22~quantal2) quantal; urgency=low

  * Fix some issues when running renderd with more than 10 threads
  * Some additional munin scripts

 -- Kai Krueger <kakrueger@gmail.com>  Tue, 13 Aug 2013 00:00:00 +0000

libapache2-mod-tile (0.4-21~quantal1) quantal; urgency=low

  * Added support for zoom levels upto 20 in renderd

 -- Kai Krueger <kakrueger@gmail.com>  Fri, 31 May 2013 00:00:00 +0000

libapache2-mod-tile (0.4-20~quantal1) quantal; urgency=medium

  * Fixed thread stability issue
  * More changes

 -- Kai Krueger <kakrueger@gmail.com>  Thu, 30 May 2013 00:00:00 +0000

libapache2-mod-tile (0.4-19~quantal1) quantal; urgency=low

  * update from upstream ( b7cb20df4b9dff )

 -- Kai Krueger <kakrueger@gmail.com>  Tue, 14 May 2013 00:00:00 +0000

libapache2-mod-tile (0.4-18~quantal1) quantal; urgency=low

  * update from upstream ( 1341e129e5 )

 -- Kai Krueger <kakrueger@gmail.com>  Sat, 27 Apr 2013 00:00:00 +0000

libapache2-mod-tile (0.4-17~quantal1) quantal; urgency=low

  * update from upstream ( 54f668537a )


=== debian/control ===
Source: libapache2-mod-tile
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Felix Delattre <debian@xama.nu>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10~),
               dh-apache2,
               apache2-dev,
               libcairo2-dev,
               libcurl4-gnutls-dev | libcurl-ssl-dev,
               libiniparser-dev,
               libmapnik-dev (>= 3.1)
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian-gis-team/libapache2-mod-tile
Vcs-Git: https://salsa.debian.org/debian-gis-team/libapache2-mod-tile.git
Homepage: https://wiki.openstreetmap.org/wiki/Mod_tile

Package: libapache2-mod-tile
Architecture: any
Section: httpd
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: renderd | tirex,
            ${misc:Recommends}
Description: Apache module to deliver tiles created by renderd
 mod_tile is a system to serve raster tiles for example to use within a
 slippy map. It provides a dynamic combination of efficient caching and
 on the fly rendering. Due to its dynamic rendering, only a small
 fraction of overall tiles need to be kept on disk, reducing the
 resources required. At the same time, its caching strategy allows for a
 high performance serving and can support several thousand requests per
 second.
 .
 mod_tile was originally written for serving the tiles of the main
 OpenStreetMap map (Mapnik layer), but since is being used on a variety
 of different servers providing maps on top of OpenStreetMap data.
 .
 This package contains the Apache module that receives map tiles requests
 and satisfies them from tiles stored on disk, or queries a renderd
 instance to create them.

Package: renderd
Architecture: any
Section: utils
Depends: adduser,
         libapache2-mod-tile,
         lsb-base,
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: osm2pgsql,
            ${misc:Recommends}
Description: Daemon that renders map tiles using mapnik
 mod_tile is a system to serve raster tiles for example to use within a
 slippy map. It provides a dynamic combination of efficient caching and
 on the fly rendering. Due to its dynamic rendering, only a small
 fraction of overall tiles need to be kept on disk, reducing the
 resources required. At the same time, its caching strategy allows for a
 high performance serving and can support several thousand requests per
 second.
 .
 This package contains the renderd daemon that creates "metatiles" for
 map tile requests issued by mod_tile using the mapnik library.

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|mod_tile)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/mod_tile-$1.$2/ \
https://github.com/openstreetmap/mod_tile/releases \
(?:.*?/archive/)?(?:rel|v|mod_tile)?[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## libapache2-mod-tile 0.6.1

=== debian/changelog ===
libapache2-mod-tile (0.6.1-2) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.1, no changes.
  * Bump debhelper compat to 12, no changes.
  * Add ${misc:Pre-Depends} to renderd package.
  * Drop undefined substitution variables.

  [ Felix Delattre ]
  * Improve provided example configuration.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Dec 2022 10:48:50 +0100

libapache2-mod-tile (0.6.1-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update watch file for GitHub URL changes.

  [ Felix Delattre ]
  * New upstream 0.6 release.
  * Update copyright owner information.
  * Rely on programms' configuration files from upstream.
  * New upstream 0.6.1 release.

 -- Felix Delattre <debian@xama.nu>  Tue, 17 Aug 2021 15:11:44 +0000

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Uploaders: Felix Delattre <debian@xama.nu>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 12),
                dh-apache2,
                apache2-dev,
                libcairo2-dev,
                libcurl4-gnutls-dev | libcurl-ssl-dev,
+               libglib2.0-dev,
                libiniparser-dev,
                libmapnik-dev (>= 3.1)
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/libapache2-mod-tile
 Vcs-Git: https://salsa.debian.org/debian-gis-team/libapache2-mod-tile.git
@@ -21,8 +22,7 @@
 Section: httpd
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Recommends: renderd | tirex,
-            ${misc:Recommends}
+Recommends: renderd | tirex
 Description: Apache module to deliver tiles created by renderd
  mod_tile is a system to serve raster tiles for example to use within a
  slippy map. It provides a dynamic combination of efficient caching and
@@ -48,8 +48,7 @@
          lsb-base,
          ${shlibs:Depends},
          ${misc:Depends}
-Recommends: osm2pgsql,
-            ${misc:Recommends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: Daemon that renders map tiles using mapnik
  mod_tile is a system to serve raster tiles for example to use within a
  slippy map. It provides a dynamic combination of efficient caching and

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with apache2

override_dh_auto_test:
	dh_auto_test || echo "Ignoring test failures"

## libapache2-mod-tile 0.7.0

=== debian/changelog ===
libapache2-mod-tile (0.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.6.2, no changes.
  * Replace lsb-base dependency with sysvinit-utils (>= 3.05-4~).
  * Bump debhelper compat to 13.
  * Enable Salsa CI.
  * Switch to dh-sequence-*.
  * Update copyright file.
  * Drop virtualhost patch, included upstream.
  * Switch to cmake buildsystem.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 16 Mar 2024 11:30:09 +0100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,19 @@
 Uploaders: Felix Delattre <debian@xama.nu>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: apache2,
+               apache2-dev,
+               cmake,
+               curl,
+               debhelper-compat (= 13),
                dh-apache2,
-               apache2-dev,
+               dh-sequence-apache2,
                libcairo2-dev,
                libcurl4-gnutls-dev | libcurl-ssl-dev,
                libglib2.0-dev,
                libiniparser-dev,
                libmapnik-dev (>= 3.1)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/libapache2-mod-tile
 Vcs-Git: https://salsa.debian.org/debian-gis-team/libapache2-mod-tile.git
@@ -45,7 +49,7 @@
 Section: utils
 Depends: adduser,
          libapache2-mod-tile,
-         lsb-base,
+         sysvinit-utils (>= 3.05-4),
          ${shlibs:Depends},
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}

## libapache2-mod-tile 0.7.1

=== CMakeLists.txt ===
#-----------------------------------------------------------------------------
#
#  CMake Config
#
#-----------------------------------------------------------------------------

cmake_minimum_required(VERSION 3.13 FATAL_ERROR)
list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")

#-----------------------------------------------------------------------------
#
#  Project version
#
#-----------------------------------------------------------------------------

project(mod_tile VERSION 0.7.1)

set(CMAKE_C_STANDARD 99)
set(CMAKE_C_STANDARD_REQUIRED ON)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(THREADS_PREFER_PTHREAD_FLAG ON)

set(ENABLE_MAN ON CACHE BOOL "Build man pages")
set(ENABLE_TESTS OFF CACHE BOOL "Build test suite")
set(CMAKE_INSTALL_MODULESDIR CACHE PATH "Apache HTTP Server module installation directory")

#-----------------------------------------------------------------------------
#
#  Find external dependencies
#
#-----------------------------------------------------------------------------

include(GNUInstallDirs)

# Packages
find_package(CURL)
find_package(ICU REQUIRED uc)
find_package(Threads REQUIRED)

find_package(APR REQUIRED)
find_package(CAIRO REQUIRED)
find_package(GLIB REQUIRED)
find_package(HTTPD REQUIRED)
find_package(INIPARSER REQUIRED)
find_package(LIBMAPNIK REQUIRED)
find_package(LIBMEMCACHED)
find_package(LIBRADOS)

if(LIBMAPNIK_VERSION STRGREATER_EQUAL "4")
  set(CMAKE_CXX_STANDARD 14)
endif()

# Programs
find_program(APXS_EXECUTABLE apxs REQUIRED)

# Functions
include(CheckFunctionExists)
# check_function_exists(bzero HAVE_BZERO)
check_function_exists(daemon HAVE_DAEMON)
# check_function_exists(gethostbyname HAVE_GETHOSTBYNAME)
check_function_exists(getloadavg HAVE_GETLOADAVG)
# check_function_exists(gettimeofday HAVE_GETTIMEOFDAY)
# check_function_exists(inet_ntoa HAVE_INET_NTOA)
# check_function_exists(memset HAVE_MEMSET)
# check_function_exists(mkdir HAVE_MKDIR)
# check_function_exists(pow HAVE_POW)
# check_function_exists(select HAVE_SELECT)
# check_function_exists(socket HAVE_SOCKET)
# check_function_exists(strchr HAVE_STRCHR)
# check_function_exists(strdup HAVE_STRDUP)
# check_function_exists(strerror HAVE_STRERROR)
# check_function_exists(strrchr HAVE_STRRCHR)
# check_function_exists(strstr HAVE_STRSTR)
# check_function_exists(strtol HAVE_STRTOL)
# check_function_exists(strtoul HAVE_STRTOUL)
# check_function_exists(utime HAVE_UTIME)

# Include files
include(CheckIncludeFile)
# check_include_file(arpa/inet.h HAVE_ARPA_INET_H)
# check_include_file(fcntl.h HAVE_FCNTL_H)
# check_include_file(limits.h HAVE_LIMITS_H)
# check_include_file(netdb.h HAVE_NETDB_H)
# check_include_file(netinet/in.h HAVE_NETINET_IN_H)
check_include_file(paths.h HAVE_PATHS_H)
# check_include_file(stdint.h HAVE_STDINT_H)
# check_include_file(stdlib.h HAVE_STDLIB_H)
# check_include_file(string.h HAVE_STRING_H)
check_include_file(sys/cdefs.h HAVE_SYS_CDEFS_H)
check_include_file(sys/loadavg.h HAVE_SYS_LOADAVG_H)
# check_include_file(sys/socket.h HAVE_SYS_SOCKET_H)
# check_include_file(sys/time.h HAVE_SYS_TIME_H)
# check_include_file(syslog.h HAVE_SYSLOG_H)
# check_include_file(unistd.h HAVE_UNISTD_H)
# check_include_file(utime.h HAVE_UTIME_H)

#-----------------------------------------------------------------------------
#
#  Set variables
#
#-----------------------------------------------------------------------------

execute_process(COMMAND ${APXS_EXECUTABLE} -q libexecdir
  OUTPUT_VARIABLE HTTPD_LIBEXECDIR
  OUTPUT_STRIP_TRAILING_WHITESPACE
)

execute_process(COMMAND ${APXS_EXECUTABLE} -q sysconfdir
  OUTPUT_VARIABLE HTTPD_SYSCONFDIR
  OUTPUT_STRIP_TRAILING_WHITESPACE
)

if(LIBMAPNIK_VERSION STRLESS "4")
  find_program(MAPNIK_CONFIG_EXECUTABLE NAMES mapnik-config REQUIRED)
  execute_process(COMMAND ${MAPNIK_CONFIG_EXECUTABLE} --fonts
    OUTPUT_STRIP_TRAILING_WHITESPACE
    OUTPUT_VARIABLE MAPNIK_FONTS_DIR
  )
  execute_process(COMMAND ${MAPNIK_CONFIG_EXECUTABLE} --input-plugins
    OUTPUT_STRIP_TRAILING_WHITESPACE
    OUTPUT_VARIABLE MAPNIK_PLUGINS_DIR
  )
elseif(LIBMAPNIK_VERSION STRGREATER_EQUAL "4")
  pkg_get_variable(MAPNIK_FONTS_DIR libmapnik fonts_dir)
  pkg_get_variable(MAPNIK_PLUGINS_DIR libmapnik plugins_dir)
endif()

if(NOT CMAKE_INSTALL_MODULESDIR)
  set(CMAKE_INSTALL_MODULESDIR ${HTTPD_LIBEXECDIR})
endif()

if(CAIRO_FOUND)
  set(HAVE_CAIRO 1)
endif()

if(CURL_FOUND)
  set(HAVE_LIBCURL 1)
endif()

if(LIBMEMCACHED_FOUND)
  set(HAVE_LIBMEMCACHED 1)
endif()

if(LIBRADOS_FOUND)
  set(HAVE_LIBRADOS 1)
endif()

if(CMAKE_HAVE_PTHREAD_H)
  set(HAVE_PTHREAD 1)
endif()

set(MAPNIK_FONTS_DIR "${MAPNIK_FONTS_DIR}")
set(MAPNIK_FONTS_DIR_RECURSE 0)
set(MAPNIK_PLUGINS_DIR "${MAPNIK_PLUGINS_DIR}")
set(RENDERD_CONFIG "${CMAKE_INSTALL_SYSCONFDIR}/renderd.conf")
set(RENDERD_RUN_DIR "${CMAKE_INSTALL_RUNSTATEDIR}/renderd")
set(RENDERD_TILE_DIR "${CMAKE_INSTALL_LOCALSTATEDIR}/cache/renderd/tiles")

set(RENDERD_PIDFILE "${RENDERD_RUN_DIR}/renderd.pid")
set(RENDERD_SOCKET "${RENDERD_RUN_DIR}/renderd.sock")

set(TILE_LOAD_DIRECTORY "${HTTPD_SYSCONFDIR}")
set(TILE_LOAD_FILENAME "tile.load")
set(VERSION "${PROJECT_VERSION}")

#-----------------------------------------------------------------------------
#
#  Configure
#
#-----------------------------------------------------------------------------

# include/config.h.in
configure_file(
  ${PROJECT_SOURCE_DIR}/includes/config.h.in
  ${PROJECT_SOURCE_DIR}/includes/config.h
)

# etc/apache2/tile.load.in
configure_file(
  ${PROJECT_SOURCE_DIR}/etc/apache2/tile.load.in
  ${PROJECT_BINARY_DIR}/tile.load
)

# etc/renderd/renderd.conf.in
configure_file(
  ${PROJECT_SOURCE_DIR}/etc/renderd/renderd.conf.in
  ${PROJECT_BINARY_DIR}/renderd.conf
)

#-----------------------------------------------------------------------------
#
#  Build
#
#-----------------------------------------------------------------------------

add_subdirectory(src)

#-----------------------------------------------------------------------------
#
#  Install
#
#-----------------------------------------------------------------------------

# Determine install destination for 'etc/apache2/tile.load.in'
if(EXISTS "/etc/os-release")
  execute_process(COMMAND sh -c ". /etc/os-release && echo $ID"
    OUTPUT_STRIP_TRAILING_WHITESPACE
    OUTPUT_VARIABLE DISTRO_ID
  )
  message(STATUS "Found ID='${DISTRO_ID}' in '/etc/os-release'")
  if(DISTRO_ID MATCHES "arch")
    set(TILE_LOAD_DIRECTORY "${HTTPD_SYSCONFDIR}/extra")
    set(TILE_LOAD_FILENAME "httpd-tile.conf")
  elseif(DISTRO_ID MATCHES "centos|fedora|rhel")
    set(TILE_LOAD_DIRECTORY "${HTTPD_SYSCONFDIR}.modules.d")
    set(TILE_LOAD_FILENAME "11-tile.conf")
  elseif(DISTRO_ID MATCHES "debian|ubuntu")
    set(TILE_LOAD_DIRECTORY "${HTTPD_SYSCONFDIR}/mods-available")
  elseif(DISTRO_ID MATCHES "freebsd")
    set(TILE_LOAD_DIRECTORY "${HTTPD_SYSCONFDIR}/modules.d")
    set(TILE_LOAD_FILENAME "080_tile.conf")
  elseif(DISTRO_ID MATCHES "opensuse-leap|opensuse-tumbleweed")
    set(TILE_LOAD_DIRECTORY "${HTTPD_SYSCONFDIR}/conf.d")
    set(TILE_LOAD_FILENAME "mod_tile.conf")
  endif()
elseif(CMAKE_SYSTEM_NAME MATCHES "Darwin")
  set(TILE_LOAD_DIRECTORY "${HTTPD_SYSCONFDIR}/extra")
  set(TILE_LOAD_FILENAME "httpd-tile.conf")
endif()
message(STATUS "File 'etc/apache2/tile.load.in' will be installed to '${TILE_LOAD_DIRECTORY}/${TILE_LOAD_FILENAME}'")

# Directories
install(
  DIRECTORY
  DESTINATION ${RENDERD_TILE_DIR}
)

install(
  DIRECTORY
  DESTINATION ${RENDERD_RUN_DIR}
)

# Configuration files
install(
  FILES
    ${PROJECT_BINARY_DIR}/tile.load
  DESTINATION ${TILE_LOAD_DIRECTORY}
  RENAME ${TILE_LOAD_FILENAME}
)

install(
  FILES
    ${PROJECT_BINARY_DIR}/renderd.conf
  DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}
)

# Targets
install(
  TARGETS
    mod_tile
    render_expired
    render_list
    render_old
    render_speedtest
    renderd
  LIBRARY DESTINATION ${CMAKE_INSTALL_MODULESDIR}
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)

# Man files
if(ENABLE_MAN)
  install(
    FILES
      docs/man/render_expired.1
      docs/man/render_list.1
      docs/man/render_old.1
      docs/man/render_speedtest.1
      docs/man/renderd.1
    DESTINATION ${CMAKE_INSTALL_MANDIR}/man1
  )
  install(
    FILES
      docs/man/renderd.conf.5
    DESTINATION ${CMAKE_INSTALL_MANDIR}/man5
  )
endif()

#-----------------------------------------------------------------------------
#
#  Test
#
#-----------------------------------------------------------------------------

if(ENABLE_TESTS)
  enable_testing()
  add_subdirectory(tests)
endif()

=== src/CMakeLists.txt ===
#-----------------------------------------------------------------------------
#
#  CMake Config
#
#-----------------------------------------------------------------------------

include_directories(${PROJECT_SOURCE_DIR}/includes)

include_directories(SYSTEM
  ${APR_INCLUDE_DIRS}
  ${CAIRO_INCLUDE_DIRS}
  ${CURL_INCLUDE_DIRS}
  ${GLIB_INCLUDE_DIRS}
  ${HTTPD_INCLUDE_DIRS}
)
include_directories(SYSTEM
  ${ICU_INCLUDE_DIRS}
  ${INIPARSER_INCLUDE_DIRS}
  ${LIBMAPNIK_INCLUDE_DIRS}
  ${LIBMEMCACHED_INCLUDE_DIRS}
  ${LIBRADOS_INCLUDE_DIRS}
)

link_directories(${CMAKE_LIBRARY_PATH})

set(COMMON_SRCS
  g_logger.c
  sys_utils.c
)
set(COMMON_LIBRARIES
  ${GLIB_LIBRARIES}
  Threads::Threads
)

set(STORE_SRCS
  store_file_utils.c
  store_file.c
  store_memcached.c
  store_null.c
  store_rados.c
  store_ro_composite.c
  store_ro_http_proxy.c
  store.c
)
set(STORE_LIBRARIES
  ${CAIRO_LIBRARIES}
  ${CURL_LIBRARIES}
  ${LIBMEMCACHED_LIBRARIES}
  ${LIBRADOS_LIBRARIES}
)

#-----------------------------------------------------------------------------
#
#  Installed targets
#
#-----------------------------------------------------------------------------

#-----------------------------------------------------------------------------
#
#  mod_tile.so
#
#-----------------------------------------------------------------------------

set(mod_tile_SRCS
  ${COMMON_SRCS}
  ${STORE_SRCS}
  mod_tile.c
)
set(mod_tile_LIBS
  ${APR_LIBRARIES}
  ${COMMON_LIBRARIES}
  ${STORE_LIBRARIES}
)
add_library(mod_tile SHARED ${mod_tile_SRCS})
target_link_libraries(mod_tile ${mod_tile_LIBS})
set_target_properties(mod_tile PROPERTIES PREFIX "" SUFFIX ".so")

#-----------------------------------------------------------------------------
#
#  render_expired
#
#-----------------------------------------------------------------------------

set(render_expired_SRCS
  ${COMMON_SRCS}
  ${STORE_SRCS}
  protocol_helper.c
  render_expired.c
  render_submit_queue.c
)
set(render_expired_LIBS
  ${COMMON_LIBRARIES}
  ${STORE_LIBRARIES}
)
add_executable(render_expired ${render_expired_SRCS})
target_link_libraries(render_expired ${render_expired_LIBS})

#-----------------------------------------------------------------------------
#
#  render_list
#
#-----------------------------------------------------------------------------

set(render_list_SRCS
  ${COMMON_SRCS}
  ${STORE_SRCS}
  protocol_helper.c
  render_list.c
  render_submit_queue.c
)
set(render_list_LIBS
  ${COMMON_LIBRARIES}
  ${STORE_LIBRARIES}
)
add_executable(render_list ${render_list_SRCS})
target_link_libraries(render_list ${render_list_LIBS})

#-----------------------------------------------------------------------------
#
#  render_old
#
#-----------------------------------------------------------------------------

set(render_old_SRCS
  ${COMMON_SRCS}
  protocol_helper.c
  render_old.c
  render_submit_queue.c
  store_file_utils.c
)
set(render_old_LIBS
  ${COMMON_LIBRARIES}
)
add_executable(render_old ${render_old_SRCS})
target_link_libraries(render_old ${render_old_LIBS})

#-----------------------------------------------------------------------------
#
#  render_speedtest
#
#-----------------------------------------------------------------------------

set(render_speedtest_SRCS
  ${COMMON_SRCS}
  protocol_helper.c
  render_submit_queue.c
  speedtest.cpp
)
set(render_speedtest_LIBS
  ${COMMON_LIBRARIES}
)
add_executable(render_speedtest ${render_speedtest_SRCS})
target_link_libraries(render_speedtest ${render_speedtest_LIBS})

#-----------------------------------------------------------------------------
#
#  renderd
#
#-----------------------------------------------------------------------------

set(renderd_SRCS
  ${COMMON_SRCS}
  ${STORE_SRCS}
  cache_expire.c
  daemon_compat.c
  daemon.c
  gen_tile.cpp
  metatile.cpp
  parameterize_style.cpp
  protocol_helper.c
  request_queue.c
)
set(renderd_LIBS
  ${COMMON_LIBRARIES}
  ${ICU_LIBRARIES}
  ${INIPARSER_LIBRARIES}
  ${LIBMAPNIK_LIBRARIES}
  ${STORE_LIBRARIES}
)
add_executable(renderd ${renderd_SRCS})
target_link_libraries(renderd ${renderd_LIBS})

#-----------------------------------------------------------------------------
#
#  Test targets
#
#-----------------------------------------------------------------------------

if(ENABLE_TESTS)
#-----------------------------------------------------------------------------
#
#  gen_tile_test
#
#-----------------------------------------------------------------------------

set(gen_tile_test_SRCS
  ${renderd_SRCS}
  gen_tile_test.cpp
)
set(gen_tile_test_LIBS
  ${renderd_LIBS}
)
add_executable(gen_tile_test ${gen_tile_test_SRCS})
target_link_libraries(gen_tile_test ${gen_tile_test_LIBS})
target_compile_options(gen_tile_test PRIVATE -DMAIN_ALREADY_DEFINED)
endif()

=== tests/CMakeLists.txt ===
#-----------------------------------------------------------------------------
#
#  CMake Config
#
#-----------------------------------------------------------------------------

#-----------------------------------------------------------------------------
#
#  Find external dependencies
#
#-----------------------------------------------------------------------------

include(CTest)

execute_process(COMMAND ${APXS_EXECUTABLE} -q progname
  OUTPUT_VARIABLE HTTPD_PROGNAME
  OUTPUT_STRIP_TRAILING_WHITESPACE
)

find_package(UnixCommands REQUIRED)
find_program(CAT_EXECUTABLE NAMES cat REQUIRED)
find_program(CURL_EXECUTABLE NAMES curl REQUIRED)
find_program(GREP_EXECUTABLE NAMES grep REQUIRED)
find_program(HTTPD_EXECUTABLE NAMES ${HTTPD_PROGNAME} REQUIRED)
find_program(ID_EXECUTABLE NAMES id REQUIRED)
find_program(JQ_EXECUTABLE NAMES jq)
find_program(KILL_EXECUTABLE NAMES kill REQUIRED)
find_program(MKDIR_EXECUTABLE NAMES mkdir REQUIRED)
find_program(SHA256SUM_EXECUTABLE NAMES gsha256sum sha256sum REQUIRED)
find_program(TOUCH_EXECUTABLE NAMES gtouch touch REQUIRED)

#-----------------------------------------------------------------------------
#
#  Test configurations
#
#-----------------------------------------------------------------------------

set(DEFAULT_MAP_NAME "default")
set(HTTPD0_HOST "0.0.0.0")
set(HTTPD0_PORT "59980")
set(HTTPD1_HOST "0.0.0.0")
set(HTTPD1_PORT "59981")
set(RENDERD1_HOST "0.0.0.0")
set(RENDERD1_PORT "59991")
set(WWW_USER_NAME "nobody")

set(MAP_NAMES "jpg" "png256" "png32" "webp")

file(COPY tiles.sha256sum DESTINATION ${PROJECT_BINARY_DIR}/tests)

set(TILE_ZXY "9/297/191")

set(METRICS_OFF_URL "http://${HTTPD1_HOST}:${HTTPD1_PORT}/metrics")
set(METRICS_ON_URL "http://${HTTPD0_HOST}:${HTTPD0_PORT}/metrics")
set(MOD_TILE_OFF_URL "http://${HTTPD1_HOST}:${HTTPD1_PORT}/mod_tile")
set(MOD_TILE_ON_URL "http://${HTTPD0_HOST}:${HTTPD0_PORT}/mod_tile")
set(TILE_DEFAULT_TILEJSON_URL "http://${HTTPD0_HOST}:${HTTPD0_PORT}/tiles/${DEFAULT_MAP_NAME}/tile-layer.json")

set(TILE_JPG_SHA256SUM "e09c3406c02f03583dadf0c8404c2d3efdc06a40d399e381ed2f47f49fde42d7")
set(TILE_PNG256_SHA256SUM "dbf26531286e844a3a9735cdd193598dca78d22f77cafe5824bcaf17f88cbb08")
set(TILE_PNG32_SHA256SUM "1006d92152f1e18896e0016fb43201b14bbcf7655955b74495ad3610541d325b")
set(TILE_WEBP_SHA256SUM_01 "ef3862a57831b21ec69c15be196e1e2b4fea66246c361142631b9fa22b85decc") # libwebp.so.4
set(TILE_WEBP_SHA256SUM_02 "96fc0455b2269a7bcd4a5b3c9844529c3c77e3bb15f56e72f78a5af3bc15b6b5") # libwebp.so.6
set(TILE_WEBP_SHA256SUM_03 "a82ef9ba5dc333de88af7b645084c30ab2b01c664e17162cbf6659c287cc4df4") # libwebp.so.7
set(TILE_WEBP_SHA256SUM_04 "904593e291cce2561138bd83b704588c02c16630b8c133d78d535b8986e901af") # libwebp.so.7

set(CURL_CMD "${CURL_EXECUTABLE} --fail --silent")

set(HTTPD_START_CMD
  "${HTTPD_EXECUTABLE} -e debug -f ${PROJECT_BINARY_DIR}/tests/conf/httpd.conf -k start"
)
string(REPLACE ";" "\n" HTTPD_START_CMD_STR "${HTTPD_START_CMD}")

set(HTTPD_STOP_CMD
  "${KILL_EXECUTABLE} $(${CAT_EXECUTABLE} run/httpd.pid)"
  "${RM} run/httpd.pid"
)
string(REPLACE ";" "\n" HTTPD_STOP_CMD_STR "${HTTPD_STOP_CMD}")

set(HTTPD_PID
  "run/httpd.pid"
)

set(RENDERD_START_CMD
  "$<TARGET_FILE:renderd> --config conf/renderd.conf --foreground --slave 0 > logs/renderd0.log 2>&1 &"
  "printf \${!} > run/renderd0.pid"
  "$<TARGET_FILE:renderd> --config conf/renderd.conf --foreground --slave 1 > logs/renderd1.log 2>&1 &"
  "printf \${!} > run/renderd1.pid"
)
string(REPLACE ";" "\n" RENDERD_START_CMD_STR "${RENDERD_START_CMD}")

set(RENDERD_STOP_CMD
  "${KILL_EXECUTABLE} $(${CAT_EXECUTABLE} run/renderd1.pid)"
  "${RM} run/renderd1.pid"
  "${KILL_EXECUTABLE} $(${CAT_EXECUTABLE} run/renderd0.pid)"
  "${RM} run/renderd0.pid"
)
string(REPLACE ";" "\n" RENDERD_STOP_CMD_STR "${RENDERD_STOP_CMD}")

set(RENDERD_PIDS
  "run/renderd0.pid"
  "run/renderd1.pid"
)

execute_process(COMMAND ${ID_EXECUTABLE} -gn ${WWW_USER_NAME}
  OUTPUT_STRIP_TRAILING_WHITESPACE
  OUTPUT_VARIABLE WWW_GROUP_NAME
)

configure_file(
  renderd.conf.in
  conf/renderd.conf
)

configure_file(
  httpd.conf.in
  conf/httpd.conf
)

#-----------------------------------------------------------------------------
#
#  Tests
#
#-----------------------------------------------------------------------------

add_test(
  NAME gen_tile_test
  COMMAND gen_tile_test
  WORKING_DIRECTORY src
)
add_test(
  NAME create_dirs
  COMMAND ${MKDIR_EXECUTABLE} -p -v logs run tiles
  WORKING_DIRECTORY tests
)
add_test(
  NAME start_renderd
  COMMAND ${BASH} -c "${RENDERD_START_CMD_STR}"
  WORKING_DIRECTORY tests
)
add_test(
  NAME start_httpd
  COMMAND ${BASH} -c "${HTTPD_START_CMD_STR}"
  WORKING_DIRECTORY tests
)
add_test(
  NAME render_speedtest
  COMMAND ${BASH} -c "
    $<TARGET_FILE:render_speedtest> \
      --map ${DEFAULT_MAP_NAME} \
      --max-zoom 10 \
      --socket ${PROJECT_BINARY_DIR}/tests/run/renderd0.sock
  "
  WORKING_DIRECTORY tests
)
add_test(
  NAME render_expired
  COMMAND ${BASH} -c "
    echo '0/0/0' | $<TARGET_FILE:render_expired> \
      --map ${DEFAULT_MAP_NAME} \
      --max-zoom 5 \
      --min-zoom 0 \
      --num-threads 1 \
      --socket ${PROJECT_BINARY_DIR}/tests/run/renderd0.sock \
      --tile-dir ${PROJECT_BINARY_DIR}/tests/tiles
  "
  WORKING_DIRECTORY tests
)
add_test(
  NAME render_list
  COMMAND ${BASH} -c "
    $<TARGET_FILE:render_list> \
      --all \
      --force \
      --map ${DEFAULT_MAP_NAME} \
      --max-zoom 5 \
      --min-zoom 0 \
      --num-threads 1 \
      --socket ${PROJECT_BINARY_DIR}/tests/run/renderd0.sock \
      --tile-dir ${PROJECT_BINARY_DIR}/tests/tiles
  "
  WORKING_DIRECTORY tests
)
add_test(
  NAME render_old
  COMMAND ${BASH} -c "
    ${TOUCH_EXECUTABLE} -d '+1 month' ${PROJECT_BINARY_DIR}/tests/tiles/planet-import-complete
    $<TARGET_FILE:render_old> \
      --config ${PROJECT_BINARY_DIR}/tests/conf/renderd.conf \
      --map ${DEFAULT_MAP_NAME} \
      --max-zoom 5 \
      --min-zoom 0 \
      --num-threads 1 \
      --socket ${PROJECT_BINARY_DIR}/tests/run/renderd0.sock \
      --tile-dir ${PROJECT_BINARY_DIR}/tests/tiles
  "
  WORKING_DIRECTORY tests
)

foreach(MAP_NAME IN LISTS MAP_NAMES)
  string(REGEX REPLACE "[0-9]+" "" EXTENSION ${MAP_NAME})
  set(HTTPD0_URL "http://${HTTPD0_HOST}:${HTTPD0_PORT}/tiles/${MAP_NAME}/${TILE_ZXY}.${EXTENSION}")
  set(HTTPD1_URL "http://${HTTPD1_HOST}:${HTTPD1_PORT}/tiles/${MAP_NAME}/${TILE_ZXY}.${EXTENSION}")
  add_test(
    NAME download_tile_${MAP_NAME}
    COMMAND ${BASH} -c "
      until $(${CURL_CMD} ${HTTPD0_URL} --output tile.${MAP_NAME}.file.0); do
        echo 'Sleeping 1s (${MAP_NAME}.0)';
        sleep 1;
      done
      until $(${CURL_CMD} ${HTTPD1_URL} --output tile.${MAP_NAME}.file.1); do
        echo 'Sleeping 1s (${MAP_NAME}.1)';
        sleep 1;
      done
    "
    WORKING_DIRECTORY tests
  )
  set_tests_properties(download_tile_${MAP_NAME} PROPERTIES
    FIXTURES_REQUIRED httpd_started
    FIXTURES_SETUP tiles_downloaded
    TIMEOUT 10
  )
  add_test(
    NAME status_and_dirty_${MAP_NAME}
    COMMAND ${BASH} -c "
      TILE_DIRTY_ON_CMD=\"${CURL_CMD} ${HTTPD0_URL}/dirty\"
      TILE_STATUS_ON_CMD=\"${CURL_CMD} ${HTTPD0_URL}/status\"
      TILE_LAST_RENDERED_AT_OLD=$(\${TILE_STATUS_ON_CMD} | ${GREP_EXECUTABLE} -o 'Last rendered at [^\\.]*.')
      echo \"Tile Last Rendered At (Old): \${TILE_LAST_RENDERED_AT_OLD}\"
      sleep 1
      TILE_DIRTY_ON_OUTPUT=$(\${TILE_DIRTY_ON_CMD})
      echo \"Dirty: \${TILE_DIRTY_ON_OUTPUT}\"
      if [ \"\${TILE_DIRTY_ON_OUTPUT}\" != \"Tile submitted for rendering\" ]; then
        exit 1;
      fi
      TILE_LAST_RENDERED_AT_NEW=$(\${TILE_STATUS_ON_CMD} | ${GREP_EXECUTABLE} -o 'Last rendered at [^\\.]*.')
      echo \"Tile Last Rendered At (New): \${TILE_LAST_RENDERED_AT_NEW}\"
      until [ \"\${TILE_LAST_RENDERED_AT_OLD}\" != \"\${TILE_LAST_RENDERED_AT_NEW}\" ]; do
        echo 'Sleeping 1s';
        sleep 1;
        TILE_LAST_RENDERED_AT_NEW=$(\${TILE_STATUS_ON_CMD} | ${GREP_EXECUTABLE} -o 'Last rendered at [^\\.]*.');
        echo \"Tile Last Rendered At (New): \${TILE_LAST_RENDERED_AT_NEW}\";
      done
      TILE_DIRTY_OFF_CODE=$(${CURL_CMD} --write-out '%{http_code}' ${HTTPD1_URL}/dirty)
      echo \"Dirty Off code: '\${TILE_DIRTY_OFF_CODE}'\"
      if [ \"\${TILE_DIRTY_OFF_CODE}\" != \"404\" ]; then
        exit 1;
      fi
      TILE_STATUS_OFF_CODE=$(${CURL_CMD} --write-out '%{http_code}' ${HTTPD1_URL}/status)
      echo \"Status Off code: '\${TILE_STATUS_OFF_CODE}'\"
      if [ \"\${TILE_STATUS_OFF_CODE}\" != \"404\" ]; then
        exit 1;
      fi
    "
    WORKING_DIRECTORY tests
  )
  set_tests_properties(status_and_dirty_${MAP_NAME} PROPERTIES
    DEPENDS_ON download_tile_${MAP_NAME}
    FIXTURES_REQUIRED httpd_started
    TIMEOUT 20
  )
  add_test(
    NAME remove_tile_${MAP_NAME}
    COMMAND ${RM} -v tile.${MAP_NAME}.file.0 tile.${MAP_NAME}.file.1
    WORKING_DIRECTORY tests
  )
  set_tests_properties(remove_tile_${MAP_NAME} PROPERTIES
    DEPENDS_ON download_tile_${MAP_NAME}
    FIXTURES_CLEANUP tiles_downloaded
    REQUIRED_FILES "tile.${MAP_NAME}.file.0;tile.${MAP_NAME}.file.1"
  )
endforeach()

add_test(
  NAME check_tiles
  COMMAND ${BASH} -c "
    ${SHA256SUM_EXECUTABLE} -c tiles.sha256sum | ${GREP_EXECUTABLE} tile.jpg.file.0 | ${GREP_EXECUTABLE} -q OK
    ${SHA256SUM_EXECUTABLE} -c tiles.sha256sum | ${GREP_EXECUTABLE} tile.jpg.file.1 | ${GREP_EXECUTABLE} -q OK
    ${SHA256SUM_EXECUTABLE} -c tiles.sha256sum | ${GREP_EXECUTABLE} tile.png256.file.0 | ${GREP_EXECUTABLE} -q OK
    ${SHA256SUM_EXECUTABLE} -c tiles.sha256sum | ${GREP_EXECUTABLE} tile.png256.file.1 | ${GREP_EXECUTABLE} -q OK
    ${SHA256SUM_EXECUTABLE} -c tiles.sha256sum | ${GREP_EXECUTABLE} tile.png32.file.0 | ${GREP_EXECUTABLE} -q OK
    ${SHA256SUM_EXECUTABLE} -c tiles.sha256sum | ${GREP_EXECUTABLE} tile.png32.file.1 | ${GREP_EXECUTABLE} -q OK
    ${SHA256SUM_EXECUTABLE} -c tiles.sha256sum | ${GREP_EXECUTABLE} tile.webp.file.0 | ${GREP_EXECUTABLE} -q OK
    ${SHA256SUM_EXECUTABLE} -c tiles.sha256sum | ${GREP_EXECUTABLE} tile.webp.file.1 | ${GREP_EXECUTABLE} -q OK
  "
  WORKING_DIRECTORY tests
)
add_test(
  NAME stats_urls
  COMMAND ${BASH} -c "
    METRICS_ON_CMD=\"${CURL_CMD} ${METRICS_ON_URL}\"
    METRICS_ON_OUTPUT=$(\${METRICS_ON_CMD})
    echo \"Metrics On output: \${METRICS_ON_OUTPUT}\"
    MOD_TILE_ON_CMD=\"${CURL_CMD} ${MOD_TILE_ON_URL}\"
    MOD_TILE_ON_OUTPUT=$(\${MOD_TILE_ON_CMD})
    echo \"Mod_tile On output: \${MOD_TILE_ON_OUTPUT}\"
    for LAYER in 'jpg' 'png256' 'png32' 'webp'; do
      METRICS_LAYER_200=\"modtile_layer_responses_total{layer=\\\"/tiles/\${LAYER}/\\\",status=\\\"200\\\"} 1\"
      echo \"\${METRICS_LAYER_200}\"
      if [[ \"\${METRICS_ON_OUTPUT}\" != *\"\${METRICS_LAYER_200}\"* ]]; then
        exit 1;
      fi
      MOD_TILE_LAYER_200=\"NoRes200Layer/tiles/\${LAYER}/: 1\"
      echo \"\${MOD_TILE_LAYER_200}\"
      if [[ \"\${MOD_TILE_ON_OUTPUT}\" != *\"\${MOD_TILE_LAYER_200}\"* ]]; then
        exit 1;
      fi
    done
    METRICS_OFF_OUTPUT=$(${CURL_CMD} ${METRICS_OFF_URL})
    echo \"Metrics Off output: '\${METRICS_OFF_OUTPUT}'\"
    if [ \"\${METRICS_OFF_OUTPUT}\" != \"Stats are not enabled for this server\" ]; then
      exit 1;
    fi
    MOD_TILE_OFF_OUTPUT=$(${CURL_CMD} ${MOD_TILE_OFF_URL})
    echo \"Mod_tile Off output: '\${MOD_TILE_OFF_OUTPUT}'\"
    if [ \"\${MOD_TILE_OFF_OUTPUT}\" != \"Stats are not enabled for this server\" ]; then
      exit 1;
    fi
  "
  WORKING_DIRECTORY tests
)
add_test(
  NAME stop_renderd
  COMMAND ${BASH} -c "${RENDERD_STOP_CMD_STR}"
  WORKING_DIRECTORY tests
)
add_test(
  NAME stop_httpd
  COMMAND ${BASH} -c "${HTTPD_STOP_CMD_STR}"
  WORKING_DIRECTORY tests
)
add_test(
  NAME clear_dirs
  COMMAND ${BASH} -c "
    ${RM} -f -r -v logs/* run/* tiles/*
  "
  WORKING_DIRECTORY tests
)


set_tests_properties(create_dirs PROPERTIES
  FIXTURES_SETUP httpd_started
)
set_tests_properties(start_renderd PROPERTIES
  DEPENDS create_dirs
  FIXTURES_SETUP httpd_started
)

=== debian/changelog ===
libapache2-mod-tile (0.7.1-2build3) plucky; urgency=medium

  * No-change rebuild for libiniparser4

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 01 Nov 2024 07:28:37 +0000

libapache2-mod-tile (0.7.1-2build2) oracular; urgency=medium

  * No-change rebuild for libmapnik4.0.1

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 05 Aug 2024 17:31:49 +0100

libapache2-mod-tile (0.7.1-2build1) oracular; urgency=medium

  * Rebuild against new libmapnik4.0.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Jun 2024 08:33:02 +0200

libapache2-mod-tile (0.7.1-2) unstable; urgency=medium

  * Team upload.
  * Add patch to fix FTBFS with Mapnik 4.0.0.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 17 Jun 2024 08:34:37 +0200

libapache2-mod-tile (0.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop cmake-destdir.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 16 Mar 2024 21:30:24 +0100

libapache2-mod-tile (0.7.0-2) unstable; urgency=medium

  * Team upload.
  * Add architecture-is-64-bit to build depends.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 16 Mar 2024 13:28:16 +0100

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Priority: optional
 Build-Depends: apache2,
                apache2-dev,
+               architecture-is-64-bit,
                cmake,
                curl,
                debhelper-compat (= 13),

## libapache2-mod-tile 0.8.0~beta

=== debian/changelog ===
libapache2-mod-tile (0.8.0~beta-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream beta release.
  * Update copyright file.
  * Drop mapnik-4.0.patch, included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 20 Jun 2024 16:31:38 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/libapache2-mod-tile
-Vcs-Git: https://salsa.debian.org/debian-gis-team/libapache2-mod-tile.git
+Vcs-Git: https://salsa.debian.org/debian-gis-team/libapache2-mod-tile.git -b experimental
 Homepage: https://wiki.openstreetmap.org/wiki/Mod_tile
 
 Package: libapache2-mod-tile
